INTERFACE
SUBROUTINE SUOZON ( KIDIA,KFDIA,KLON,KLEV,PROFO3,LDQINT,PRESI,PRDELP,LD_LO3ABC,PVO3ABC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(INOUT) :: PROFO3(KLON,0:KLEV)
LOGICAL ,INTENT(IN) :: LDQINT
REAL(KIND=JPRB) ,INTENT(IN) :: PRESI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
LOGICAL ,INTENT(IN) :: LD_LO3ABC
REAL(KIND=JPRB) ,INTENT(IN) :: PVO3ABC(KLON,3)
END SUBROUTINE SUOZON
END INTERFACE
